## plpgsql-check 2.8.0

=== debian/changelog ===
plpgsql-check (2.8.0-1.pgdg25.04+1) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 18 Mar 2025 13:05:57 +0100

plpgsql-check (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0, supports PostgreSQL 14+.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2025 13:05:57 +0100

## plpgsql-check 2.8.1

=== debian/changelog ===
plpgsql-check (2.8.1-1.pgdg24.10+1) oracular-pgdg; urgency=medium

  * Rebuild for oracular-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 01 May 2025 11:00:20 +0200

plpgsql-check (2.8.1-1) unstable; urgency=medium

  * New upstream version 2.8.1.

 -- Christoph Berg <myon@debian.org>  Thu, 01 May 2025 11:00:20 +0200

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-14-plpgsql-check
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

Package: postgresql-15-plpgsql-check
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

Package: postgresql-16-plpgsql-check
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

Package: postgresql-17-plpgsql-check
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

## plpgsql-check 2.8.2

=== debian/changelog ===
plpgsql-check (2.8.2-1) experimental; urgency=medium

  * New upstream version 2.8.2.

 -- Christoph Berg <myon@debian.org>  Tue, 05 Aug 2025 12:19:51 +0200

=== debian/control ===
Source: plpgsql-check
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Stefan Hühner <stefan.huehner@openbravo.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libicu-dev,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/okbob/plpgsql_check
Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git

Package: postgresql-17-plpgsql-check
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: plpgsql_check extension for PostgreSQL
 plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
 The SQL statements inside PL/pgSQL functions are checked for semantic errors.
 .
 Features:
  * check fields of referenced database objects and types inside embedded SQL
  * using correct types of function parameters
  * unused variables and function argumens, unmodified OUT argumens
  * partially detection of dead code (due RETURN command)
  * detection of missing RETURN command in function
  * try to identify unwanted hidden casts, that can be performance issue like
    unused indexes
  * possibility to collect relations and functions used by function
  * possibility to check EXECUTE stmt against SQL injection vulnerability

## plpgsql-check 2.8.3

=== Makefile ===
# $PostgreSQL: pgsql/contrib/plpgsql_check/Makefile

MODULE_big = plpgsql_check
OBJS = $(patsubst %.c,%.o,$(wildcard src/*.c))
DATA = plpgsql_check--2.8.sql
EXTENSION = plpgsql_check

ifndef MAJORVERSION
MAJORVERSION := $(basename $(VERSION))
endif

REGRESS_OPTS = --dbname=$(PL_TESTDB)
REGRESS = plpgsql_check_passive plpgsql_check_active plpgsql_check_active-$(MAJORVERSION) plpgsql_check_passive-$(MAJORVERSION)

ifdef NO_PGXS
subdir = contrib/plpgsql_check
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

# temorary fix of compilation with gcc 15
override CFLAGS += -Wno-error=incompatible-pointer-types -I$(top_builddir)/src/pl/plpgsql/src -Wall -g

=== debian/changelog ===
plpgsql-check (2.8.3-1) unstable; urgency=medium

  * New upstream version 2.8.3.

 -- Christoph Berg <myon@debian.org>  Mon, 13 Oct 2025 22:39:27 +0200

plpgsql-check (2.8.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 18. (Closes: #1117317)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:15:18 +0200

=== debian/control ===
--- 
+++ 
@@ -6,23 +6,24 @@
  Stefan Hühner <stefan.huehner@openbravo.com>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  libicu-dev,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
 
-Package: postgresql-17-plpgsql-check
+Package: postgresql-18-plpgsql-check
 Architecture: any
 Depends:
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: plpgsql_check extension for PostgreSQL
  plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
  The SQL statements inside PL/pgSQL functions are checked for semantic errors.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_installdocs:
	dh_installdocs --all README.md

%:
	dh $@ --with pgxs_loop

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/plpgsql_check-$1\.tar\.gz/ \
  https://github.com/okbob/plpgsql_check/tags .*/v?(\d\S+)\.tar\.gz

## plpgsql-check 2.8.4

=== debian/changelog ===
plpgsql-check (2.8.4-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 23 Nov 2025 14:00:18 +0100

plpgsql-check (2.8.4-1) unstable; urgency=medium

  * New upstream version 2.8.4.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Nov 2025 14:00:18 +0100

## plpgsql-check 2.8.5

=== debian/changelog ===
plpgsql-check (2.8.5-1.pgdg25.10+1) questing-pgdg; urgency=medium

  * Rebuild for questing-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 03 Dec 2025 13:48:16 +0100

plpgsql-check (2.8.5-1) unstable; urgency=medium

  * New upstream version 2.8.5.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Dec 2025 13:48:16 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,98 @@
 Homepage: https://github.com/okbob/plpgsql_check
 Vcs-Browser: https://salsa.debian.org/postgresql/plpgsql-check
 Vcs-Git: https://salsa.debian.org/postgresql/plpgsql-check.git
+
+Package: postgresql-14-plpgsql-check
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-15-plpgsql-check
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-16-plpgsql-check
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
+
+Package: postgresql-17-plpgsql-check
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: plpgsql_check extension for PostgreSQL
+ plpgsql_check is the next generation of plpgsql_lint for PL/pgsql source code.
+ The SQL statements inside PL/pgSQL functions are checked for semantic errors.
+ .
+ Features:
+  * check fields of referenced database objects and types inside embedded SQL
+  * using correct types of function parameters
+  * unused variables and function argumens, unmodified OUT argumens
+  * partially detection of dead code (due RETURN command)
+  * detection of missing RETURN command in function
+  * try to identify unwanted hidden casts, that can be performance issue like
+    unused indexes
+  * possibility to collect relations and functions used by function
+  * possibility to check EXECUTE stmt against SQL injection vulnerability
 
 Package: postgresql-18-plpgsql-check
 Architecture: any

## plpgsql-check 2.8.7

=== debian/changelog ===
plpgsql-check (2.8.7-1) unstable; urgency=medium

  * New upstream version 2.8.7.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Feb 2026 10:24:25 +0100

## plpgsql-check 2.8.8

=== debian/changelog ===
plpgsql-check (2.8.8-1) unstable; urgency=medium

  * New upstream version 2.8.8.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Feb 2026 16:56:45 +0100

## plpgsql-check 2.8.10

=== debian/changelog ===
plpgsql-check (2.8.10-1) unstable; urgency=medium

  * New upstream version 2.8.10.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Feb 2026 12:34:27 +0100

## plpgsql-check 2.8.11

=== debian/changelog ===
plpgsql-check (2.8.11-1) unstable; urgency=medium

  * New upstream version 2.8.11.

 -- Christoph Berg <myon@debian.org>  Wed, 18 Feb 2026 14:52:41 +0100
